For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all files
      • POSTUpload a file
      • GETDownload a file
      • DELDelete a file
      • GETGet file details
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMFiles

Download a file

GET
https://api.brevo.com/v3/crm/files/:id
GET
/v3/crm/files/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.files.downloadAFile("id");
8}
9main();
1{
2 "fileUrl": "https://storage.googleapis.com/brevo-app-crm.......-sample.pdf"
3}
Get a temporary download URL for a CRM file by its identifier. The returned URL is valid for 5 minutes only and provides direct access to the file content.
Was this page helpful?
Previous

Delete a file

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired
File id to download.

Response

Returns downloadable file link. Valid for next 5 minutes only.
fileUrlstring
A unique link to download the requested file.

Errors

400
Bad Request Error
404
Not Found Error